X_SOLVE_DC_DRIFT(1)

NAME
x_solve_dc_drift - Find Best-fitting D.C.-shift and Drift Estimates

SYNOPSIS
x_solve_dc_drift [ -Xxbase ] [ -Llbase ] [ -Iignorefile ] [ -S ] [ -Citeration ] [ -Mmin_nx ] [ -Rwest/east/south/north ] [ -Uuselegsfile ] [ -V ] [ -Bbinfile ] [ -AASCIIfile ]

DESCRIPTION
x_solve_dc_drift will read the database files and, by iterating, find the best-fitting regression line to the <time,COE> points for each leg that minimizes the overall standard deviation of the data set in a least squares sense. Finally, correction file(s) are created.

-X  Indicate an alternate database to read. [Default is xx_base.b].

-L  Indicate an alternate legbase to read. [Default is xx_legs.b].

-I  Ignore information for certain legs (that might be bad, etc).

-S  Reset the old d.c.-shift and drift estimates to zero before iterating.

-C  Specify how many iterations to do. Default is interactive session.

-M  Solve for drift only if the leg has more than min_nx cross-overs.

-R  Only take COEs inside this region into account. [Default is world].

-U  Solve for corrections involving COEs from legs in the uselegsfile only.

-B  Create a binary correction file (which can be read by x_list and gmtlist).

-A  Create an ASCII correction table. At least one of -A and -B must be specified.

-V  Operate in verbose mode.

BEWARE
The reason for the -M option is that if the COEs are few, then a stable estimate of the slope may not be obtained (e.g. when most of the COEs occur midway between ports). However, in most cases the bulk of the COEs do occur near the ports so that a drift estimate can be computed. Conventional wisdom recommends plotting the time-series and the computed regression line to see if it makes sense.

SEE ALSO
GMT(1), x_system(1)

REFERENCES
Wessel, P. XOVER: A Cross-over Error Detector for Track Data, Computers & Geosciences, 15, 333-346.